#!/bin/sh
set -e

version="5.0.1"
export CODEGEN_URL=https://repo1.maven.org/maven2/org/openapitools/openapi-generator-cli/$version/openapi-generator-cli-$version.jar
export CODEGEN_OUT=openapi-generator-cli.jar
export SWAGGER=./openapi.json
export DIRECTORY=./txtapi
export CONFIG=./config.json

curl "$CODEGEN_URL" -o "$CODEGEN_OUT"

java -jar $CODEGEN_OUT generate -i $SWAGGER  -c $CONFIG -g python-flask -o $DIRECTORY