class Color:
    HEADER = '\033[95m'
    OKBLUE = '\033[94m'
    OKGREEN = '\033[92m'
    WARNING = '\033[93m'
    FAIL = '\033[91m'
    ENDC = '\033[0m'
    BOLD = '\033[1m'
    UNDERLINE = '\033[4m'

def print_colored(string, color):
    print(color + string + Color.ENDC)

def print_bold(string):
    print_colored(string, Color.BOLD)

def print_warning(string):
    print_colored(string, Color.WARNING)

def print_success(string):
    print_colored(string, Color.OKGREEN)

def print_info(string):
    print_colored(string, Color.OKBLUE)

def print_error(string):
    print_colored(string, Color.FAIL)