import os

from deploy import colorized_output as co
from deploy.repository import Repository

from fabric import Connection

USER = 'root'

class Deployment:
    def __init__(self, host):
        self.host = host
        self.con = Connection(host = host, user = USER)

    def copy_ssh_key(self):
        co.print_warning('Please authorize ssh-login on txt to copy ssh-key to authorized keys')
        os.system("ssh {0}@{1} 'mkdir -p .ssh' && scp $HOME/.ssh/id_rsa.pub {0}@{1}:.ssh/authorized_keys".format(USER, self.host))

    def deploy_flask_app(self):
        repo = Repository(self.con)
        repo.uploadFolder('../txtapi')
        repo.uploadAppFolder('api-app')
        repo.replace_ip(self.host)
        repo.replace_env('environment_txt2.py')
