import socket
from http import HTTPStatus
from fischertechnik.control.VoiceControl import VoiceControl

def send_command(command):
    status_code = HTTPStatus.OK
    try:
        s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
        s.connect((VoiceControl.HOST, VoiceControl.PORT))
        s.send(command.encode('utf-8'))
    except Exception as e:
        status_code = HTTPStatus.NOT_FOUND
    finally:
        s.close()

    return None, status_code  
