from http import HTTPStatus

from txtapi.handlers import application_handler
from txtapi.handlers import controller_handler
from txtapi.handlers import debugger_handler
from txtapi.utility.heartbeat.heartbeat import Heartbeat


def ping():
    Heartbeat.get_instance().keep_alive()
    return None, HTTPStatus.OK

def stop():
    application_handler.stop_applications()
    controller_handler.stop_controller()
    debugger_handler.stop_debuggers()
