# coding: utf-8

from __future__ import absolute_import
import unittest

from flask import json
from six import BytesIO

from txtapi.models.error_message import ErrorMessage  # noqa: E501
from txtapi.models.inline_response_default import InlineResponseDefault  # noqa: E501
from txtapi.test import BaseTestCase


class TestRemoteController(BaseTestCase):
    """RemoteController integration test stubs"""

    def test_send_command(self):
        """Test case for send_command

        
        """
        headers = { 
            'Accept': '*/*',
            'ApiKeyAuth': 'special-key',
        }
        response = self.client.open(
            '/api/v1/remote/send-command/{command}'.format(command='command_example'),
            method='POST',
            headers=headers)
        self.assert200(response,
                       'Response body is : ' + response.data.decode('utf-8'))


if __name__ == '__main__':
    unittest.main()
